OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Private Attributes
AirportTileIterator Class Reference

Iterator to iterate over all tiles belonging to an airport. More...

`#include <station_base.h>`

Inheritance diagram for AirportTileIterator:

## Public Member Functions
| AirportTileIterator (const Station *st)
| Construct the iterator.
TileIterator & | operator++ ()
| Move ourselves to the next tile in the rectangle on the map.
virtual TileIterator * | Clone () const
| Allocate a new iterator that is a copy of this one.
Public Member Functions inherited from OrthogonalTileIterator
| OrthogonalTileIterator (const OrthogonalTileArea &ta)
| Construct the iterator.
| OrthogonalTileIterator (TileIndex corner1, TileIndex corner2)
| Construct the iterator.
Public Member Functions inherited from TileIterator
virtual | ~TileIterator ()
| Some compilers really like this.
| operator TileIndex () const
| Get the tile we are currently at.

## Private Attributes
const Station * | st
| The station the airport is a part of.

## Additional Inherited Members
Protected Member Functions inherited from TileIterator
| TileIterator (TileIndex tile=INVALID_TILE)
| Initialise the iterator starting at this tile.
Protected Attributes inherited from TileIterator
TileIndex | tile
| The current tile we are at.

## Detailed Description

Iterator to iterate over all tiles belonging to an airport.

Definition at line 512 of file station_base.h.

## Constructor & Destructor Documentation

AirportTileIterator::AirportTileIterator | ( | const Station * | st | ) |
| inline

Construct the iterator.

Parameters

  ta | Area, i.e. begin point and width/height of to-be-iterated area.

Definition at line 521 of file station_base.h.

Referenced by Clone().

The documentation for this class was generated from the following file:

- src/station_base.h